Bug 116146 - SIG32 when attached process spawns new thread
SIG32 when attached process spawns new thread
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: gdb (Show other bugs)
6.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Elena Zannoni
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-18 11:31 EST by Peter Faltaous
Modified: 2007-04-18 13:03 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 13:20:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Faltaous 2004-02-18 11:31:15 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.2)
Gecko/20030716

Description of problem:
After attaching a running process and debugging, when the process
creates a new thread the following happens:

Program received signal SIG32, Real-time event 32.
0x408a9a35 in pthread_getconcurrency () from /lib/i686/libpthread.so.0



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Attach a running process to gdb and let it continue running
2.Perform an action in the running process which creates a new thread
3.
    

Actual Results:  Program receives SIG32 and doesn't continue properly

Expected Results:  Should be able to debug the new thread 

Additional info:

This is using the latest gdb from sources.redhat.com
Comment 1 Peter Faltaous 2004-03-05 16:25:52 EST
Running on an upgraded Taroon U1 system with the latest glibc and
kernel packages, I can no longer reproduce this. Instead, when trying
to debug eclipse as soon as it starts up, it gets killed:

Couldn't get registers: No such process.
(gdb) q
The program is running.  Exit anyway? (y or n) y
Quitting: thread_db_get_info: cannot get thread info: generic error

This is related to bug# 116583.
Comment 2 Bill Nottingham 2006-08-07 16:01:09 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
Please check if this issue is still present in a current Fedora Core
release. If so, please change the product and version to match, and
check the box indicating that the requested information has been
provided. Note that any bug still open against Red Hat Linux on will be
closed as 'CANTFIX' on September 30, 2006. Thanks again for your help.
Comment 3 Bill Nottingham 2006-10-18 13:20:01 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.